Saltar al contenido principal
POST
/
image-to-video
Image To Video
curl --request POST \
  --url https://dream-gateway.livepeer.cloud/image-to-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form image='@example-file' \
  --form model_id= \
  --form height=576 \
  --form width=1024 \
  --form fps=6 \
  --form motion_bucket_id=127 \
  --form noise_aug_strength=0.02 \
  --form safety_check=true \
  --form seed=123 \
  --form num_inference_steps=25
{
  "frames": [
    [
      {
        "url": "<string>",
        "seed": 123,
        "nsfw": true
      }
    ]
  ]
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

multipart/form-data
image
file
requerido

Uploaded image to generate a video from.

model_id
string
predeterminado:""

Hugging Face model ID used for video generation.

height
integer
predeterminado:576

The height in pixels of the generated video.

width
integer
predeterminado:1024

The width in pixels of the generated video.

fps
integer
predeterminado:6

The frames per second of the generated video.

motion_bucket_id
integer
predeterminado:127

Used for conditioning the amount of motion for the generation. The higher the number the more motion will be in the video.

noise_aug_strength
number
predeterminado:0.02

Amount of noise added to the conditioning image. Higher values reduce resemblance to the conditioning image and increase motion.

safety_check
boolean
predeterminado:true

Perform a safety check to estimate if generated images could be offensive or harmful.

seed
integer

Seed for random number generation.

num_inference_steps
integer
predeterminado:25

Number of denoising steps. More steps usually lead to higher quality images but slower inference. Modulated by strength.

Respuesta

Successful Response

Response model for video generation.

frames
Media · object[][]
requerido

The generated video frames.

Last modified on March 1, 2026